#include "CarmaManager.h"

CarmaManager::CarmaManager() {
	this->m_isInitialized = false;
	g_Log = (Log *)new Log("carma.log");
	LOG("* Logging engine initialized.");
}

CarmaManager::~CarmaManager() {

}

void CarmaManager::initialize(void) {
	if(this->m_isInitialized)
		return;
	this->m_isInitialized = true;
	LOG("Carma Initialized");
}